<?php

namespace App\Providers;
namespace App\Providers;

use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use App\Models\Service;
use App\Models\Setting;


class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */
public function boot()
{
    $nadee = Service::where('is_active', true)->latest()->take(8)->get();
    $settings = Setting::first();

    View::share('nadee', $nadee);
    View::share('settings', $settings);
}}
